
package EPrints::Plugin::Screen::REF::User::EditUoA;

use EPrints::Plugin::Screen::User::Edit;

@ISA = ( 'EPrints::Plugin::Screen::User::Edit' );

use strict;

sub new
{
	my( $class, %params ) = @_;

	my $self = $class->SUPER::new(%params);

	$self->{actions} = [qw/ stop save /];

	$self->{appears} = [
		{
			place => "user_actions",
			position => 1000,
		}
	];

	$self->{staff} = 0;

	return $self;
}

sub can_be_viewed
{
	my( $self ) = @_;

	return 0 unless( $self->{session}->config( 'ref_enabled' ) );

	return 1 if( defined $self->{session}->current_user && $self->{session}->current_user->has_role( 'ref/select_champions' ) );
	return 0;
}

sub workflow
{
        my( $self, $staff ) = @_;

        my $cache_id = "workflow";
        $cache_id.= "_staff" if( $staff );

        if( !defined $self->{processor}->{$cache_id} )
        {
                my %opts = (
                        item => $self->{processor}->{user},
                        session => $self->{session} );
                $opts{STAFF_ONLY} = [$staff ? "TRUE" : "FALSE","BOOLEAN"];
                $self->{processor}->{$cache_id} = EPrints::Workflow->new(
                        $self->{session},
                        "uoa_champion",
                        %opts );
        }

        return $self->{processor}->{$cache_id};
}

sub render_buttons
{
	my( $self ) = @_;

	my %buttons = ( _order=>[], _class=>"ep_form_button_bar" );

	push @{$buttons{_order}}, "stop", "save";
	$buttons{stop} = $self->phrase( "stop" );
	$buttons{save} = $self->phrase( "save" );

	return $self->{session}->render_action_buttons( %buttons );
}

1;


